List invoices
Lists your invoices, newest first.
To get the next page, pass the public_id of the last invoice you received as starting_after. You have reached the end when a page has fewer invoices than limit.
Authorization
X-API-Key X-Publishable-Key In: header
In: header
Query Parameters
Only return invoices with this status.
Value in
- "draft"
- "finalized"
- "sent"
- "paid"
- "past_due"
- "uncollectible"
- "voided"
How many invoices to return. Values above 100 are treated as 100.
1 <= value <= 10050Public ID of an invoice. Returns the invoices created before it.
Response Body
application/json
curl -X GET "https://example.com/v1/invoices?starting_after=inv_9Pq3Xw7Rt2"{ "invoices": [ { "public_id": "inv_9Pq3Xw7Rt2", "invoice_number": "INV-2026-0042", "to_invoice_consumer_id": "ic_8hTq2Lm4Vx", "from_invoice_consumer_id": "string", "status": "draft", "document_type": "invoice", "total_amount": 15000, "amount_due": 15000, "deposit_amount": 0, "late_fee_amount": 0, "early_pay_discount_amount": 0, "currency": "USD", "payment_link": "http://example.com", "billing_period_start": "2019-08-24T14:15:22Z", "billing_period_end": "2019-08-24T14:15:22Z", "entity_type": "subscription", "entity_id": "s_3fKq8Lw2Zp", "order_token": "string", "quote_accepted_at": "2019-08-24T14:15:22Z", "issued_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "due_at": "2019-08-24T14:15:22Z", "finalized_at": "2019-08-24T14:15:22Z", "paid_at": "2019-08-24T14:15:22Z", "voided_at": "2019-08-24T14:15:22Z", "metadata": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}Update a transfer reversal PATCH
Update a reversal's `description` or `metadata`. The amount cannot be changed. Send only the fields you want to change.
Create an invoice POST
Creates a draft invoice. Add line items, then finalize it to send it for payment. Set `document_type` to `quote` to create a quote the customer can accept before it becomes an invoice. If you leave `invoice_number` empty, Bolt assigns the next number in sequence when the invoice is finalized.